SFML 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sf::ThreadLocal Class Reference
System module

Defines variables with thread-local storage. More...

`#include <ThreadLocal.hpp>`

Inheritance diagram for sf::ThreadLocal:

## Public Member Functions
| ThreadLocal (void *value=NULL)
| Default constructor. More...
| ~ThreadLocal ()
| Destructor. More...
void | setValue (void *value)
| Set the thread-specific value of the variable. More...
void * | getValue () const
| Retrieve the thread-specific value of the variable. More...

## Detailed Description

Defines variables with thread-local storage.

This class manipulates void* parameters and thus is not appropriate for strongly-typed variables.

You should rather use the sf::ThreadLocalPtr template class.

Definition at line 47 of file ThreadLocal.hpp.

## Constructor & Destructor Documentation

sf::ThreadLocal::ThreadLocal | ( | void * | value = `NULL` | ) |

Default constructor.

Parameters

  value | Optional value to initialize the variable

sf::ThreadLocal::~ThreadLocal | ( |  | ) |

Destructor.

## Member Function Documentation

void* sf::ThreadLocal::getValue | ( |  | ) | const

Retrieve the thread-specific value of the variable.

Returns
  Value of the variable for the current thread

void sf::ThreadLocal::setValue | ( | void * | value | ) |

Set the thread-specific value of the variable.

Parameters

  value | Value of the variable for the current thread

The documentation for this class was generated from the following file:

- ThreadLocal.hpp